curl "https://app.runtm.com/api/cloud/organizations/org_abc123/allowlist-policy" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
org_id = "org_abc123"
resp = requests.get(
f"https://app.runtm.com/api/cloud/organizations/{org_id}/allowlist-policy",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": org_id,
},
)
print(resp.json())
const orgId = "org_abc123";
const resp = await fetch(
`https://app.runtm.com/api/cloud/organizations/${orgId}/allowlist-policy`,
{
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": orgId,
},
}
);
const data = await resp.json();
{
"organization_id": "org_abc123",
"default_policy": "ask",
"updated_at": "2026-05-06T09:00:00Z"
}
Guardrails
Get Allowlist Policy
Retrieve the default allowlist policy for an organization.
GET
/
api
/
organizations
/
{org_id}
/
allowlist-policy
curl "https://app.runtm.com/api/cloud/organizations/org_abc123/allowlist-policy" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
org_id = "org_abc123"
resp = requests.get(
f"https://app.runtm.com/api/cloud/organizations/{org_id}/allowlist-policy",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": org_id,
},
)
print(resp.json())
const orgId = "org_abc123";
const resp = await fetch(
`https://app.runtm.com/api/cloud/organizations/${orgId}/allowlist-policy`,
{
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": orgId,
},
}
);
const data = await resp.json();
{
"organization_id": "org_abc123",
"default_policy": "ask",
"updated_at": "2026-05-06T09:00:00Z"
}
Returns the organization’s default allowlist policy that controls how tools and commands are handled.
Required scope:
guardrails:read
string
required
The organization ID.
string
required
Bearer token.
Authorization: Bearer runtm_xxxstring
required
Must match the
org_id path parameter.string
The organization ID.
string
The default policy. One of
allow, ask, or deny.string
ISO 8601 timestamp of the last update. Null if never set.
curl "https://app.runtm.com/api/cloud/organizations/org_abc123/allowlist-policy" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
org_id = "org_abc123"
resp = requests.get(
f"https://app.runtm.com/api/cloud/organizations/{org_id}/allowlist-policy",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": org_id,
},
)
print(resp.json())
const orgId = "org_abc123";
const resp = await fetch(
`https://app.runtm.com/api/cloud/organizations/${orgId}/allowlist-policy`,
{
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": orgId,
},
}
);
const data = await resp.json();
{
"organization_id": "org_abc123",
"default_policy": "ask",
"updated_at": "2026-05-06T09:00:00Z"
}